CREATE TABLE ego_route_assoc_attrs (
    ROUTE_ATTR_ID               NUMBER(18, 0) ,
    OBJECT_VERSION_NUMBER       NUMBER(9, 0)      NOT NULL,
    ROUTE_ASSOC_ID              NUMBER(18, 0)     NOT NULL,
    OBJECT_NAME                 VARCHAR2(480)     NOT NULL,
    OBJECT_PK1                  NUMBER(18, 0)     NOT NULL,
    OBJECT_PK2                  NUMBER(18, 0) ,
    OBJECT_PK3                  NUMBER(18, 0) ,
    OBJECT_PK4                  NUMBER(18, 0) ,
    OBJECT_PK5                  NUMBER(18, 0) ,
    ATTR_INTERNAL_NAME          VARCHAR2(1280)    NOT NULL,
    ATTR_NAME                   VARCHAR2(1280),
    ATTR_TYPE                   VARCHAR2(120)     NOT NULL,
    ATTR_GROUP_INTERNAL_NAME    VARCHAR2(1280)    NOT NULL,
    INHERITED_FLAG              VARCHAR2(16)  ,
    CREATED_BY                  VARCHAR2(256)     NOT NULL,
    CREATION_DATE               TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY             VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE            TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN           VARCHAR2(128) ,
    ROUTE_ATTR_ID               NUMBER(18, 0) ,
    OBJECT_VERSION_NUMBER       NUMBER(9, 0)      NOT NULL,
    ROUTE_ASSOC_ID              NUMBER(18, 0)     NOT NULL,
    OBJECT_NAME                 VARCHAR2(480)     NOT NULL,
    OBJECT_PK1                  NUMBER(18, 0)     NOT NULL,
    OBJECT_PK2                  NUMBER(18, 0) ,
    OBJECT_PK3                  NUMBER(18, 0) ,
    OBJECT_PK4                  NUMBER(18, 0) ,
    OBJECT_PK5                  NUMBER(18, 0) ,
    ATTR_INTERNAL_NAME          VARCHAR2(1280)    NOT NULL,
    ATTR_NAME                   VARCHAR2(1280),
    ATTR_TYPE                   VARCHAR2(120)     NOT NULL,
    ATTR_GROUP_INTERNAL_NAME    VARCHAR2(1280)    NOT NULL,
    INHERITED_FLAG              VARCHAR2(16)  ,
    CREATED_BY                  VARCHAR2(256)     NOT NULL,
    CREATION_DATE               TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY             VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE            TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN           VARCHAR2(128) ,
    CONSTRAINT pk_ego_route_assoc_attrs PRIMARY KEY (ROUTE_ATTR_ID, ROUTE_ATTR_ID)
);
